## xcsoar-6.6.1.tar.bz2

=== Makefile ===
#
# This is the XCSoar build script.  To compile XCSoar, you must
# specify the target platform, e.g. for Pocket PC 2003, type:
#
#   make TARGET=PPC2003
#
# The following parameters may be specified on the "make" command
# line:
#
#   TARGET      The name of the target platform.  See the TARGETS variable
#               in build/targets.mk for a list of valid target platforms.
#
#   ENABLE_SDL  If set to "y", the UI is drawn with libSDL.
#
#   OPENGL      "y" means render with OpenGL.
#
#   GLES        "y" means render with OpenGL/ES.
#
#   EYE_CANDY   "n" disables eye candy rendering.
#
#   DEBUG       If set to "y", the debugging version of XCSoar is built
#               (default is "y")
#
#   WERROR      Make all compiler warnings fatal (default is $DEBUG)
#
#   V           Verbosity; 1 is the default, and prints terse information.
#               0 means quiet, and 2 prints the full compiler commands.
#
#   FIXED       "y" means use fixed point math (for FPU-less platforms)
#
#   LTO         "y" enables gcc's link-time optimization flag (experimental,
#               requires gcc 4.5)
#
#   CLANG       "y" to use clang instead of gcc
#
#   ANALYZER    "y" to support the clang analyzer
#
#   LLVM        "y" to compile LLVM bitcode with clang
#
#   LIBCXX      The absolute path of the libc++ svn/git working directory.
#

.DEFAULT_GOAL := all

topdir = .

-include $(topdir)/build/local-config.mk

include $(topdir)/build/make.mk
include $(topdir)/build/bool.mk
include $(topdir)/build/string.mk
include $(topdir)/build/dirs.mk
include $(topdir)/build/verbose.mk
include $(topdir)/build/util.mk
include $(topdir)/build/detect.mk
include $(topdir)/build/targets.mk
include $(topdir)/build/pkgconfig.mk
include $(topdir)/build/resource.mk
include $(topdir)/build/options.mk
include $(topdir)/build/debug.mk
include $(topdir)/build/coverage.mk
include $(topdir)/build/libintl.mk
include $(topdir)/build/boost.mk
include $(topdir)/build/egl.mk
include $(topdir)/build/opengl.mk
include $(topdir)/build/freetype.mk
include $(topdir)/build/sdl.mk
include $(topdir)/build/libpng.mk
include $(topdir)/build/libjpeg.mk
include $(topdir)/build/flags.mk
include $(topdir)/build/charset.mk
include $(topdir)/build/warnings.mk
include $(topdir)/build/compile.mk
include $(topdir)/build/link.mk
include $(topdir)/build/android.mk
include $(topdir)/build/llvm.mk
include $(topdir)/build/tools.mk
include $(topdir)/build/version.mk
include $(topdir)/build/osx.mk
include $(topdir)/build/generate.mk
include $(topdir)/build/doxygen.mk
include $(topdir)/build/manual.mk

# Create libraries for zzip, jasper and compatibility stuff
include $(topdir)/build/libstdcxx.mk
include $(topdir)/build/libutil.mk
include $(topdir)/build/libmath.mk
include $(topdir)/build/libgeo.mk
include $(topdir)/build/libos.mk
include $(topdir)/build/libtime.mk
include $(topdir)/build/libprofile.mk
include $(topdir)/build/libnet.mk
include $(topdir)/build/zlib.mk
include $(topdir)/build/zzip.mk
include $(topdir)/build/jasper.mk
include $(topdir)/build/libport.mk
include $(topdir)/build/driver.mk
include $(topdir)/build/libio.mk
include $(topdir)/build/libasync.mk
include $(topdir)/build/shapelib.mk
include $(topdir)/build/libwaypoint.mk
include $(topdir)/build/libairspace.mk
include $(topdir)/build/libtask.mk
include $(topdir)/build/libroute.mk
include $(topdir)/build/libcontest.mk
include $(topdir)/build/libglide.mk
include $(topdir)/build/datafield.mk
include $(topdir)/build/libevent.mk
include $(topdir)/build/screen.mk
include $(topdir)/build/libthread.mk
include $(topdir)/build/form.mk
include $(topdir)/build/libwidget.mk
include $(topdir)/build/libaudio.mk
include $(topdir)/build/libterrain.mk
include $(topdir)/build/harness.mk

include $(topdir)/build/setup.mk
include $(topdir)/build/launch.mk
include $(topdir)/build/vali.mk
include $(topdir)/build/test.mk
include $(topdir)/build/hot.mk

# Load local-config a second time
# to set (override) choices for GXX and friends.
-include $(topdir)/build/local-config.mk

######## output files

ifeq ($(HAVE_POSIX),y)
PROGRAM_NAME = xcsoar
else
PROGRAM_NAME = XCSoar
endif

include $(topdir)/build/dist.mk
include $(topdir)/build/install.mk

######## compiler flags

INCLUDES += -I$(SRC) -I$(ENGINE_SRC_DIR)

####### sources

DIALOG_SOURCES = \
	$(SRC)/Dialogs/XML.cpp \
	$(SRC)/Dialogs/Inflate.cpp \
	$(SRC)/Dialogs/Message.cpp \
	$(SRC)/Dialogs/ListPicker.cpp \
	$(SRC)/Dialogs/JobDialog.cpp \
	$(SRC)/Dialogs/WidgetDialog.cpp \
	$(SRC)/Dialogs/FileManager.cpp \
	$(SRC)/Dialogs/Device/DeviceEditWidget.cpp \
	$(SRC)/Dialogs/Device/DeviceListDialog.cpp \
	$(SRC)/Dialogs/Device/PortMonitor.cpp \
	$(SRC)/Dialogs/Device/ManageCAI302Dialog.cpp \
	$(SRC)/Dialogs/Device/CAI302/UnitsEditor.cpp \
	$(SRC)/Dialogs/Device/CAI302/WaypointUploader.cpp \
	$(SRC)/Dialogs/Device/ManageFlarmDialog.cpp \
	$(SRC)/Dialogs/Device/LX/ManageV7Dialog.cpp \
	$(SRC)/Dialogs/Device/LX/V7ConfigWidget.cpp \
	$(SRC)/Dialogs/Device/LX/ManageNanoDialog.cpp \
	$(SRC)/Dialogs/Device/LX/NanoConfigWidget.cpp \
	$(SRC)/Dialogs/Device/LX/ManageLX16xxDialog.cpp \
	$(SRC)/Dialogs/Device/Vega/VegaParametersWidget.cpp \
	$(SRC)/Dialogs/Device/Vega/VegaConfigurationDialog.cpp \
	$(SRC)/Dialogs/Device/Vega/VegaDemoDialog.cpp \
	$(SRC)/Dialogs/Device/Vega/VoiceSettingsDialog.cpp \
	$(SRC)/Dialogs/Device/Vega/SwitchesDialog.cpp \
	$(SRC)/Dialogs/Device/FLARM/ConfigWidget.cpp \
	$(SRC)/Dialogs/MapItemListDialog.cpp \
	$(SRC)/Dialogs/MapItemListSettingsDialog.cpp \
	$(SRC)/Dialogs/MapItemListSettingsPanel.cpp \
	$(SRC)/Dialogs/ColorListDialog.cpp \
	$(SRC)/Dialogs/Airspace/dlgAirspace.cpp \
	$(SRC)/Dialogs/Airspace/dlgAirspacePatterns.cpp \
	$(SRC)/Dialogs/Airspace/dlgAirspaceDetails.cpp \
	$(SRC)/Dialogs/Airspace/AirspaceList.cpp \
	$(SRC)/Dialogs/Airspace/AirspaceCRendererSettingsDialog.cpp \
	$(SRC)/Dialogs/Airspace/AirspaceCRendererSettingsPanel.cpp \
	$(SRC)/Dialogs/Airspace/dlgAirspaceWarnings.cpp \
	$(SRC)/Dialogs/Settings/WindSettingsPanel.cpp \
	$(SRC)/Dialogs/Settings/WindSettingsDialog.cpp \
	$(SRC)/Dialogs/Settings/dlgBasicSettings.cpp \
	$(SRC)/Dialogs/Settings/dlgConfiguration.cpp \
	$(SRC)/Dialogs/Settings/dlgConfigFonts.cpp \
	$(SRC)/Dialogs/Settings/dlgConfigInfoboxes.cpp \
	$(SRC)/Dialogs/Settings/FontEdit.cpp \
	$(SRC)/Dialogs/Traffic/TrafficList.cpp \
	$(SRC)/Dialogs/Traffic/FlarmTrafficDetails.cpp \
	$(SRC)/Dialogs/Traffic/TeamCodeDialog.cpp \
	$(SRC)/Dialogs/dlgAnalysis.cpp \
	$(SRC)/Dialogs/dlgBrightness.cpp \
	$(SRC)/Dialogs/dlgChecklist.cpp \
	$(SRC)/Dialogs/Plane/PlaneListDialog.cpp \
	$(SRC)/Dialogs/Plane/PlaneDetailsDialog.cpp \
	$(SRC)/Dialogs/Plane/PlanePolarDialog.cpp \
	$(SRC)/Dialogs/Plane/PolarShapeEditWidget.cpp \
	$(SRC)/Dialogs/ComboPicker.cpp \
	$(SRC)/Dialogs/FilePicker.cpp \
	$(SRC)/Dialogs/HelpDialog.cpp \
	$(SRC)/Dialogs/dlgInfoBoxAccess.cpp \
	$(SRC)/Dialogs/ReplayDialog.cpp \
	$(SRC)/Dialogs/dlgSimulatorPrompt.cpp \
	$(SRC)/Dialogs/dlgStartup.cpp \
	\
	$(SRC)/Dialogs/dlgStatus.cpp \
	$(SRC)/Dialogs/StatusPanels/StatusPanel.cpp \
	$(SRC)/Dialogs/StatusPanels/FlightStatusPanel.cpp \
	$(SRC)/Dialogs/StatusPanels/SystemStatusPanel.cpp \
	$(SRC)/Dialogs/StatusPanels/TaskStatusPanel.cpp \
	$(SRC)/Dialogs/StatusPanels/RulesStatusPanel.cpp \
	$(SRC)/Dialogs/StatusPanels/TimesStatusPanel.cpp \
	\
	$(SRC)/Dialogs/Waypoint/WaypointInfoWidget.cpp \
	$(SRC)/Dialogs/Waypoint/WaypointCommandsWidget.cpp \
	$(SRC)/Dialogs/Waypoint/dlgWaypointDetails.cpp \
	$(SRC)/Dialogs/Waypoint/Manager.cpp \
	$(SRC)/Dialogs/Waypoint/dlgWaypointEdit.cpp \
	$(SRC)/Dialogs/Waypoint/WaypointList.cpp \
	$(SRC)/Dialogs/Waypoint/NearestWaypoint.cpp \
	\
	$(SRC)/Dialogs/Settings/Panels/AirspaceConfigPanel.cpp \
	$(SRC)/Dialogs/Settings/Panels/DevicesConfigPanel.cpp \
	$(SRC)/Dialogs/Settings/Panels/ExperimentalConfigPanel.cpp \
	$(SRC)/Dialogs/Settings/Panels/GaugesConfigPanel.cpp \
	$(SRC)/Dialogs/Settings/Panels/VarioConfigPanel.cpp \
	$(SRC)/Dialogs/Settings/Panels/GlideComputerConfigPanel.cpp \
	$(SRC)/Dialogs/Settings/Panels/WindConfigPanel.cpp \
	$(SRC)/Dialogs/Settings/Panels/InfoBoxesConfigPanel.cpp \
	$(SRC)/Dialogs/Settings/Panels/InterfaceConfigPanel.cpp \
	$(SRC)/Dialogs/Settings/Panels/LayoutConfigPanel.cpp \
	$(SRC)/Dialogs/Settings/Panels/LoggerConfigPanel.cpp \
	$(SRC)/Dialogs/Settings/Panels/LoggerInfoConfigPanel.cpp \
	$(SRC)/Dialogs/Settings/Panels/MapDisplayConfigPanel.cpp \
	$(SRC)/Dialogs/Settings/Panels/PagesConfigPanel.cpp \
	$(SRC)/Dialogs/Settings/Panels/PolarConfigPanel.cpp \
	$(SRC)/Dialogs/Settings/Panels/RouteConfigPanel.cpp \
	$(SRC)/Dialogs/Settings/Panels/SafetyFactorsConfigPanel.cpp \
	$(SRC)/Dialogs/Settings/Panels/SiteConfigPanel.cpp \
	$(SRC)/Dialogs/Settings/Panels/SymbolsConfigPanel.cpp \
	$(SRC)/Dialogs/Settings/Panels/TaskRulesConfigPanel.cpp \
	$(SRC)/Dialogs/Settings/Panels/TaskDefaultsConfigPanel.cpp \
	$(SRC)/Dialogs/Settings/Panels/TerrainDisplayConfigPanel.cpp \
	$(SRC)/Dialogs/Settings/Panels/UnitsConfigPanel.cpp \
	$(SRC)/Dialogs/Settings/Panels/TimeConfigPanel.cpp \
	$(SRC)/Dialogs/Settings/Panels/WaypointDisplayConfigPanel.cpp \
	$(SRC)/Dialogs/Settings/Panels/TrackingConfigPanel.cpp \
	\
	$(SRC)/Dialogs/Task/Widgets/ObservationZoneEditWidget.cpp \
	$(SRC)/Dialogs/Task/Widgets/CylinderZoneEditWidget.cpp \
	$(SRC)/Dialogs/Task/Widgets/LineSectorZoneEditWidget.cpp \
	$(SRC)/Dialogs/Task/Widgets/SectorZoneEditWidget.cpp \
	$(SRC)/Dialogs/Task/Widgets/KeyholeZoneEditWidget.cpp \
	$(SRC)/Dialogs/Task/Manager/TaskMapWindow.cpp \
	$(SRC)/Dialogs/Task/Manager/TaskManagerDialog.cpp \
	$(SRC)/Dialogs/Task/Manager/TaskClosePanel.cpp \
	$(SRC)/Dialogs/Task/Manager/TaskEditPanel.cpp \
	$(SRC)/Dialogs/Task/Manager/TaskPropertiesPanel.cpp \
	$(SRC)/Dialogs/Task/Manager/TaskMiscPanel.cpp \
	$(SRC)/Dialogs/Task/Manager/TaskActionsPanel.cpp \
	$(SRC)/Dialogs/Task/Manager/TaskListPanel.cpp \
	$(SRC)/Dialogs/Task/Manager/TaskCalculatorPanel.cpp \
	$(SRC)/Dialogs/Task/OptionalStartsDialog.cpp \
	$(SRC)/Dialogs/Task/TaskPointDialog.cpp \
	$(SRC)/Dialogs/Task/MutateTaskPointDialog.cpp \
	$(SRC)/Dialogs/Task/dlgTaskHelpers.cpp \
	$(SRC)/Dialogs/Task/TargetDialog.cpp \
	$(SRC)/Dialogs/Task/AlternatesListDialog.cpp \
	\
	$(SRC)/Dialogs/NumberEntry.cpp \
	$(SRC)/Dialogs/TextEntry.cpp \
	$(SRC)/Dialogs/KnobTextEntry.cpp \
	$(SRC)/Dialogs/TouchTextEntry.cpp \
	$(SRC)/Dialogs/TimeEntry.cpp \
	$(SRC)/Dialogs/GeoPointEntry.cpp \
	$(SRC)/Dialogs/Weather/RASPDialog.cpp \
	$(SRC)/Dialogs/dlgCredits.cpp \
	$(SRC)/Dialogs/dlgQuickMenu.cpp \

ifeq ($(HAVE_PCM_PLAYER),y)
DIALOG_SOURCES += $(SRC)/Dialogs/Settings/Panels/AudioVarioConfigPanel.cpp
endif

ifeq ($(HAVE_HTTP),y)
DIALOG_SOURCES += \
	$(SRC)/Dialogs/Weather/NOAAList.cpp \
	$(SRC)/Dialogs/Weather/NOAADetails.cpp
endif

XCSOAR_SOURCES := \
	$(IO_SRC_DIR)/ConfiguredFile.cpp \
	$(IO_SRC_DIR)/DataFile.cpp \
	$(SRC)/Airspace/ProtectedAirspaceWarningManager.cpp \
	$(SRC)/Task/Serialiser.cpp \
	$(SRC)/Task/Deserialiser.cpp \
	$(SRC)/Task/TaskFile.cpp \
	$(SRC)/Task/TaskFileXCSoar.cpp \
	$(SRC)/Task/TaskFileIGC.cpp \
	$(SRC)/Task/TaskFileSeeYou.cpp \
	$(SRC)/Task/MapTaskManager.cpp \
	$(SRC)/Task/ProtectedTaskManager.cpp \
	$(SRC)/Task/RoutePlannerGlue.cpp \
	$(SRC)/Task/ProtectedRoutePlanner.cpp \
	$(SRC)/Task/TaskStore.cpp \
	$(SRC)/Task/TypeStrings.cpp \
	$(SRC)/Task/ValidationErrorStrings.cpp \
	\
	$(SRC)/RadioFrequency.cpp \
	\
	$(SRC)/Engine/Navigation/TraceHistory.cpp \
	$(SRC)/Engine/Navigation/Aircraft.cpp \
	$(SRC)/Engine/Trace/Point.cpp \
	$(SRC)/Engine/Trace/Trace.cpp \
	$(SRC)/Engine/Trace/Vector.cpp \
	$(SRC)/Engine/Util/Gradient.cpp \
	$(SRC)/Renderer/GradientRenderer.cpp \
	$(SRC)/Renderer/GlassRenderer.cpp \
	$(SRC)/Renderer/LabelBlock.cpp \
	$(SRC)/Renderer/TextInBox.cpp \
	$(SRC)/Renderer/TraceHistoryRenderer.cpp \
	$(SRC)/Renderer/ThermalBandRenderer.cpp \
	$(SRC)/Renderer/TaskProgressRenderer.cpp \
	$(SRC)/Renderer/MarkerRenderer.cpp \
	\
	$(SRC)/Airspace/AirspaceGlue.cpp \
	$(SRC)/Airspace/AirspaceParser.cpp \
	$(SRC)/Airspace/AirspaceVisibility.cpp \

=== debian/changelog ===
xcsoar (6.6.1) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Wed, 08 May 2013 10:23:37 +0200

xcsoar (6.6) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Tue, 23 Apr 2013 09:22:27 +0200

xcsoar (6.6~beta2) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 19 Apr 2013 22:30:07 +0200

xcsoar (6.6~beta1) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Sat, 13 Apr 2013 23:51:40 +0200

xcsoar (6.6~alpha2) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 05 Apr 2013 22:12:25 +0200

xcsoar (6.6~alpha1) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Thu, 21 Mar 2013 08:27:54 +0100

xcsoar (6.5.4) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Wed, 10 Apr 2013 08:51:28 +0200

xcsoar (6.5.3) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Tue, 26 Mar 2013 19:41:25 +0100

xcsoar (6.5.2) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 15 Mar 2013 19:33:09 +0100

xcsoar (6.5.1) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Tue, 12 Mar 2013 12:18:13 +0100

xcsoar (6.5) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 08 Mar 2013 08:50:12 +0100

xcsoar (6.5~beta3) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Tue, 05 Mar 2013 00:34:25 +0100

xcsoar (6.5~beta2) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Wed, 27 Feb 2013 16:35:08 +0100

xcsoar (6.5~beta1) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 22 Feb 2013 21:17:30 +0100

xcsoar (6.5~alpha2) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Thu, 07 Feb 2013 22:21:30 +0100

xcsoar (6.5~alpha1) unstable; urgency=low

  * new release
  * move manuals to separate documentation package

 -- Max Kellermann <max@duempel.org>  Sun, 27 Jan 2013 23:08:17 +0100

xcsoar (6.4.6) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Wed, 23 Jan 2013 11:21:14 +0100

xcsoar (6.4.5) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 14 Dec 2012 21:42:52 +0100

xcsoar (6.4.4) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Thu, 15 Nov 2012 00:37:09 +0100

xcsoar (6.4.3) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Thu, 01 Nov 2012 16:31:28 +0100

xcsoar (6.4.2) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Wed, 17 Oct 2012 00:51:00 +0200

xcsoar (6.4.1) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Thu, 30 Aug 2012 00:36:26 +0200

xcsoar (6.4) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Tue, 31 Jul 2012 19:11:10 +0200

xcsoar (6.4~beta2) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Sat, 28 Jul 2012 17:19:40 +0200

xcsoar (6.4~beta1) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Sat, 21 Jul 2012 00:25:36 +0200

xcsoar (6.4~alpha2) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 06 Jul 2012 02:19:38 +0200

xcsoar (6.4~alpha1) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Thu, 28 Jun 2012 02:27:48 +0200

xcsoar (6.3.11) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 27 Jul 2012 17:49:26 +0200

xcsoar (6.3.10) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 20 Jul 2012 13:24:09 +0200

xcsoar (6.3.9) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Wed, 18 Jul 2012 13:21:33 +0200

xcsoar (6.3.8) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 22 Jun 2012 23:23:01 +0200

xcsoar (6.3.7) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Thu, 21 Jun 2012 23:21:22 +0200

xcsoar (6.3.6) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Wed, 06 Jun 2012 22:28:34 +0200

xcsoar (6.3.5) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Thu, 31 May 2012 20:20:43 +0200

xcsoar (6.3.4) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Thu, 24 May 2012 01:25:55 +0200

xcsoar (6.3.3) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Sat, 05 May 2012 01:10:43 +0200

xcsoar (6.3.2) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Thu, 26 Apr 2012 17:48:36 +0200

xcsoar (6.3.1) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Thu, 19 Apr 2012 22:16:53 +0200

xcsoar (6.3) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Thu, 29 Mar 2012 00:34:47 +0200

xcsoar (6.3~beta3) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 23 Mar 2012 11:29:24 +0100

xcsoar (6.3~beta2) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Wed, 14 Mar 2012 17:43:04 +0100

xcsoar (6.3~beta1) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Wed, 14 Mar 2012 02:23:58 +0100

xcsoar (6.3~alpha3) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Sat, 25 Feb 2012 17:30:04 +0100

xcsoar (6.3~alpha2) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Sun, 19 Feb 2012 15:17:55 +0100

xcsoar (6.3~alpha1) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Thu, 09 Feb 2012 22:05:08 +0100

xcsoar (6.2.6) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Sat, 25 Feb 2012 10:20:25 +0100

xcsoar (6.2.5) unstable; urgency=low

  * new release


=== debian/control ===
Source: xcsoar
Section: misc
Priority: extra
Maintainer: Max Kellermann <max@duempel.org>
Build-Depends: debhelper (>= 5), g++ (>= 4.6),
 libboost-dev,
 libsdl1.2-dev, libsdl-ttf2.0-dev,
 libgl-dev,
 libpng-dev, libjpeg-dev,
 libcurl-dev,
 librsvg2-bin, imagemagick (>= 7:6.4), xsltproc,
 gettext,
 texlive, texlive-latex-extra,
 texlive-lang-english, texlive-lang-german, texlive-lang-french,
 latex-xcolor, pgf
Standards-Version: 3.9.1.0
Homepage: http://www.xcsoar.org/

Package: xcsoar
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ttf-dejavu
Suggests: xcsoar-doc, vali-xcs
Description: tactical glide computer
 XCSoar is a tactical glide computer.  It was initially developed for
 Pocket PC (Windows CE).

Package: vali-xcs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: IGC G-record validation for XCSoar
 XCSoar is a tactical glide computer.  It was initially developed for
 Pocket PC (Windows CE).
 .
 This package provides the program "vali-xcs", which validates
 signatures generated by XCSoar.

Package: xcsoar-doc
Architecture: all
Description: XCSoar manual
 XCSoar is a tactical glide computer.  It was initially developed for
 Pocket PC (Windows CE).
 .
 This package contains the manuals.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

CFLAGS = -Wall -g
OPTIONS = TARGET=UNIX

# allow Debian builds in the same repository as normal builds
OPTIONS += TARGET_OUTPUT_DIR=output/DEBIAN

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O0
  OPTIONS += DEBUG=y
else
  CFLAGS += -O2 -fno-strict-aliasing
  OPTIONS += DEBUG=n
endif

build-indep: debian/stamp-build-indep
debian/stamp-build-indep:
	dh_testdir
	$(MAKE) $(OPTIONS) manual
	touch $@

build-arch: debian/stamp-build-arch
debian/stamp-build-arch:
	dh_testdir
	$(MAKE) $(OPTIONS) all mo
	touch $@

build: debian/stamp-build
debian/stamp-build: debian/stamp-build-arch debian/stamp-build-indep

clean:
	dh_testdir
	dh_testroot
	rm -f debian/stamp-*

	$(MAKE) $(OPTIONS) clean

	dh_clean

install-indep: debian/stamp-install-indep
debian/stamp-install-indep: debian/stamp-build-indep
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) $(OPTIONS) install-manual DESTDIR=`pwd`/debian/tmp

	touch $@

install-arch: debian/stamp-install-arch
debian/stamp-install-arch: debian/stamp-build-arch
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) $(OPTIONS) install-bin install-mo DESTDIR=`pwd`/debian/tmp

	touch $@

install: debian/stamp-install
debian/stamp-install: debian/stamp-install-arch debian/stamp-install-indep

# Build architecture-independent files here.
binary-indep: build-indep install-indep
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_install -i --sourcedir=debian/tmp
	dh_link -i
	dh_strip -i
	dh_compress -i -X.pdf
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build-arch install-arch
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installchangelogs -a
	dh_install -a --sourcedir=debian/tmp
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
